org.jbpm.workflow.core.node

## Class CompositeContextNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.CompositeNode
        - - org.jbpm.workflow.core.node.CompositeContextNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, org.kie.api.definition.process.Node, org.kie.api.definition.process.NodeContainer
  Direct Known Subclasses:
    DynamicNode, EventSubProcessNode, ForEachNode, StateNode

      public class CompositeContextNode
      extends CompositeNode
      implements ContextContainer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode

      `CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CompositeContextNode()`
    `protected` | `CompositeContextNode(org.kie.api.definition.process.NodeType nodeType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContext(Context context)`
    `Context` | `getContext(String contextType, long id)`
    `List<Context>` | `getContexts(String contextType)`
    `Context` | `getDefaultContext(String contextType)`
    `Context` | `resolveContext(String contextId, Object param)`
    `void` | `setDefaultContext(Context context)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeNode

      `acceptsEvent, addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodeByUniqueId, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isAutoComplete, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setAutoComplete, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.workflow.core.node.EventNodeInterface

      `acceptsEvent`

- - ### Constructor Detail

    - #### CompositeContextNode

          protected CompositeContextNode(org.kie.api.definition.process.NodeType nodeType)

    - #### CompositeContextNode

          public CompositeContextNode()

  - ### Method Detail

    - #### getContexts

          public List<Context> getContexts(String contextType)

      Specified by:
        `getContexts` in interface `ContextContainer`

    - #### addContext

          public void addContext(Context context)

      Specified by:
        `addContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextType,
                                    long id)

      Specified by:
        `getContext` in interface `ContextContainer`

    - #### setDefaultContext

          public void setDefaultContext(Context context)

      Specified by:
        `setDefaultContext` in interface `ContextContainer`

    - #### getDefaultContext

          public Context getDefaultContext(String contextType)

      Specified by:
        `getDefaultContext` in interface `ContextContainer`

    - #### resolveContext

          public Context resolveContext(String contextId,
                                        Object param)

      Specified by:
        `resolveContext` in interface `ContextResolver`
      Overrides:
        `resolveContext` in class `NodeImpl`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.